<?xml version="1.0"?>
<project
		xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
		xmlns="http://maven.apache.org/POM/4.0.0"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.huatek.busi</groupId>
		<artifactId>busi-back</artifactId>
		<version>1.0</version>
	</parent>
	<artifactId>busi-back-serviceImpl</artifactId>
	<packaging>war</packaging>
	<name>busi-back-serviceImpl Maven Webapp</name>
	<url>http://maven.apache.org</url>

	<profiles>
		<profile>
			<id>dev</id>
			<properties>
				<profiles.activation>dev</profiles.activation>
			</properties>
			<activation>
				<!--默认为dev环境打包方式 -->
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<profiles.activation>test</profiles.activation>
			</properties>
		</profile>
	</profiles>
	<dependencies>
		<dependency>
			<groupId>com.huatek.busi</groupId>
			<artifactId>busi-back-wscommon</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.frame</groupId>
			<artifactId>busi-calculate-common</artifactId>
			<version>1.0</version>
		</dependency>

		<dependency>
			<groupId>com.huatek.frame</groupId>
			<artifactId>frame-base-service</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency> <groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.2.47</version>
		</dependency>

		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>4.5.10</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.frame</groupId>
			<artifactId>frame-base-model</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.frame</groupId>
			<artifactId>frame-base-common</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-mapper-asl</artifactId>
			<version>1.9.13</version>
		</dependency>

		<dependency>
			<groupId>com.huatek.busi</groupId>
			<artifactId>busi-back-model</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.busi</groupId>
			<artifactId>busi-back-service</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.busi</groupId>
			<artifactId>busi-back-common</artifactId>
			<version>1.0</version>
		</dependency>

		<dependency>
			<groupId>org.quartz-scheduler</groupId>
			<artifactId>quartz</artifactId>
			<version>2.3.0</version>
		</dependency>
		<dependency>
			<groupId>org.quartz-scheduler</groupId>
			<artifactId>quartz-jobs</artifactId>
			<version>2.3.0</version>
		</dependency>
		<dependency>
			<groupId>io.minio</groupId>
			<artifactId>minio</artifactId>
			<version>3.0.10</version>
			<scope>compile</scope>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>com.huatek.frame</groupId>-->
<!--			<artifactId>busi-calculate-common</artifactId>-->
<!--			<version>1.0</version>-->
<!--		</dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.huatek.busi</groupId>-->
<!--            <artifactId>busi-back-control</artifactId>-->
<!--            <version>1.0</version>-->
<!--            <scope>compile</scope>-->
<!--        </dependency>-->

    </dependencies>
	<build>
		<finalName>busi-back-serviceImpl</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.7.0</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<compilerArguments>
						<!-- 打包本地jar包 -->
						<extdirs>${project.basedir}/src/main/webapp/WEB-INF/lib</extdirs>
					</compilerArguments>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-dependency-plugin</artifactId>
				<version>2.10</version>
				<executions>
					<execution>
						<id>copy-dependencies</id>
						<phase>prepare-package</phase>
						<goals>
							<goal>copy-dependencies</goal>
						</goals>
						<configuration>
							<outputDirectory>${project.build.directory}/${project.build.finalName}/WEB-INF/lib</outputDirectory>
							<overWriteReleases>false</overWriteReleases>
							<overWriteSnapshots>false</overWriteSnapshots>
							<overWriteIfNewer>true</overWriteIfNewer>
							<includeScope>compile</includeScope>
							<excludeScope>provided</excludeScope>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.properties</include>
					<include>**/*.xml</include>
				</includes>
				<filtering>false</filtering>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*.properties</include>
					<include>**/*.xml</include>
					<include>**/*.js</include>
				</includes>
				<filtering>true</filtering>
			</resource>
			<resource>
				<directory>${project.basedir}/lib</directory>
				<targetPath>WEB-INF/lib/</targetPath>
				<includes>
					<include>**/*.jar</include>
				</includes>
			</resource>
			<resource>
				<directory>src/main/resources/${profiles.activation}</directory>
			</resource>
		</resources>
	</build>
</project>
